Eccube\Entity\Shipping:
    type: entity
    table: dtb_shipping
    repositoryClass: Eccube\Repository\ShippingRepository
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            id: true
            column: shipping_id
            generator:
                strategy: AUTO
    fields:
        name01:
            type: text
            nullable: true
            column: shipping_name01
        name02:
            type: text
            nullable: true
            column: shipping_name02
        kana01:
            type: text
            nullable: true
            column: shipping_kana01
        kana02:
            type: text
            nullable: true
            column: shipping_kana02
        company_name:
            type: text
            nullable: true
            column: shipping_company_name
        tel01:
            type: text
            nullable: true
            column: shipping_tel01
        tel02:
            type: text
            nullable: true
            column: shipping_tel02
        tel03:
            type: text
            nullable: true
            column: shipping_tel03
        fax01:
            type: text
            nullable: true
            column: shipping_fax01
        fax02:
            type: text
            nullable: true
            column: shipping_fax02
        fax03:
            type: text
            nullable: true
            column: shipping_fax03
        zip01:
            type: text
            nullable: true
            column: shipping_zip01
        zip02:
            type: text
            nullable: true
            column: shipping_zip02
        zipcode:
            type: text
            nullable: true
            column: shipping_zipcode
        addr01:
            type: text
            nullable: true
            column: shipping_addr01
        addr02:
            type: text
            nullable: true
            column: shipping_addr02
        shipping_delivery_name:
            type: text
            nullable: true
        shipping_delivery_time:
            type: text
            nullable: true
        shipping_delivery_date:
            type: datetime
            nullable: true
        shipping_delivery_fee:
            type: decimal
            nullable: true
            precision: 10
            scale: 0
        shipping_commit_date:
            type: datetime
            nullable: true
        rank:
            type: integer
            nullable: true
            unsigned: false
        create_date:
            type: datetime
            nullable: false
        update_date:
            type: datetime
            nullable: false
        del_flg:
            type: smallint
            nullable: false
            unsigned: false
            options:
                default: '0'
    oneToMany:
        ShipmentItems:
            targetEntity: Eccube\Entity\ShipmentItem
            mappedBy: Shipping
            cascade: ["persist", "remove"]
    manyToOne:
        Country:
            targetEntity: Eccube\Entity\Master\Country
            joinColumn:
                name: shipping_country_id
                referencedColumnName: id
        Pref:
            targetEntity: Eccube\Entity\Master\Pref
            joinColumn:
                name: shipping_pref
                referencedColumnName: id
        Order:
            targetEntity: Eccube\Entity\Order
            inversedBy: Shippings
            joinColumn:
                name: order_id
                referencedColumnName: order_id
        Delivery:
            targetEntity: Eccube\Entity\Delivery
            joinColumn:
                name: delivery_id
                referencedColumnName: delivery_id
        DeliveryTime:
            targetEntity: Eccube\Entity\DeliveryTime
            joinColumn:
                name: time_id
                referencedColumnName: time_id
        DeliveryFee:
            targetEntity: Eccube\Entity\DeliveryFee
            joinColumn:
                name: fee_id
                referencedColumnName: fee_id
    lifecycleCallbacks: {  }
